package evince 0.9.2-0ubuntu1 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1

Bug #125383 reported by Daniel Tonda on 2007-07-12
24
Affects Status Importance Assigned to Milestone
evince (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Binary package hint: evince

This is an error that has appeared in the last week when trying to install via apt-get upgrade in Gutsy. I don't know if it's an error with dpkg/apt or just this package.

ProblemType: Package
Architecture: i386
Date: Wed Jul 11 19:58:02 2007
ErrorMessage: el subproceso post-installation script devolvió el código de salida de error 1
Package: evince 0.9.2-0ubuntu1
SourcePackage: evince

Sebastien Bacher (seb128) wrote :

Thank you for your bug. Could you run "sudo apt-get dist-upgrade" on a command line and copy the log?Thank you for your bug. Could you run "sudo apt-get dist-upgrade" on a command line and copy the log?

Changed in evince:
assignee: nobody → desktop-bugs
importance: Undecided → Medium
status: New → Incomplete
judoka (mgottesfeld) wrote :

I experienced the same problem and I think I've narrowed it down to the end of the evince.postinst file:

stix@excalibur:/var/lib/dpkg/info$ cat test.sh
#!/bin/bash

if which gtk-update-icon-cache >/dev/null 2>&1; then
        for dir in /usr/share/icons/hicolor; do
            echo "trying $dir"
                gtk-update-icon-cache --force --quiet "$dir"
        done
fi
stix@excalibur:/var/lib/dpkg/info$ sudo ./test.sh
trying /usr/share/icons/hicolor
bad image index
The generated cache was invalid.

When I comment out the gtk-update-icon-cache line the package installs fine.
It may also be worth noting that I very recently upgraded from feisty to gutsy.

M

judoka (mgottesfeld) wrote :

That block of code was also stopping gnome-panel-data and gnome-session from installing for me. Perhaps part of the gtk theme stuff gets messed up when upgrading from feisty? I'm not sure if I should submit it as a bug to those packages as well, or if it is something I am seeing because I installed feisty and then changed my sources.list to upgrade. Any insight appreciated.

M

Sebastien Bacher (seb128) wrote :

Could you run "ls /usr/share/icons/hicolor"? Do you have any icon there? If that's the case what "dpkg -S icons" say? Does moving it away fix the bug?

Sebastien Bacher (seb128) wrote :

We are closing this bug report as it lacks the information, described in the previous comments, we need to investigate the problem further. However, please reopen it if you can give us the missing information and don't hesitate to submit bug reports in the future.

Changed in evince:
status: Incomplete → Invalid

What info is needed?

M

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Sebastien Bacher
Sent: Monday, August 06, 2007 10:12 AM
To: Marty Gottesfeld
Subject: [Bug 125383] Re: package evince 0.9.2-0ubuntu1 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1

We are closing this bug report as it lacks the information, described in
the previous comments, we need to investigate the problem further.
However, please reopen it if you can give us the missing information and
don't hesitate to submit bug reports in the future.

** Changed in: evince (Ubuntu)
       Status: Incomplete => Invalid

--
package evince 0.9.2-0ubuntu1 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1
https://bugs.launchpad.net/bugs/125383
You received this bug notification because you are a direct subscriber
of the bug.

Sebastien Bacher (seb128) wrote :

did you read the comments before asking?

judoka (mgottesfeld) wrote :

I just read the email. Unfortunately I didn't see anything specific in the email.

M

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Sebastien Bacher
Sent: Monday, August 06, 2007 1:51 PM
To: Marty Gottesfeld
Subject: [Bug 125383] Re: package evince 0.9.2-0ubuntu1 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1

did you read the comments before asking?

--
package evince 0.9.2-0ubuntu1 failed to install/upgrade: el subproceso post-installation script devolvió el código de salida de error 1
https://bugs.launchpad.net/bugs/125383
You received this bug notification because you are a direct subscriber
of the bug.

Sebastien Bacher (seb128) wrote :

the comments are on the website, you can click on the link in any of the mails to read those

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers